masqmail.get(5)

NAME
masqmail.get - masqmail get configuration file

DESCRIPTION

This man page describes the options available for the masqmail get configuration.

OPTIONS

protocol = string

    The protocol with which you retrieve your mail. Currently only 'pop3' and 'apop' are supported. There is no default.

server = string

    The server you get your mail from.

resolve_list = list

    Specify the method how the domain of the server is resolved. Possible values are dns_mx, dns_a, byname. For 'dns_mx', the domain is assumed to be an MX pointer to a list of host names, these will be tried each in order (lowest preference value first, equal preference values in random order). For 'dns_a', the domain is assumed to be an A pointer. For 'byname', the library function gethostbyname (3) will be used.

    The default is "dns_a;byname". It does not make much sense here to use 'dns_mx'.

user = string

    Your login name.

pass = string

    Your password.

address = address

    The address where the retrieved mail should be sent to. It can be any address, but you probably want to set this to a local address on your LAN.

return_path = address

    If set, masqmail sets the return path to this address. Bounces generated during further delivery will be sent to this address. If unset, masqmail looks for the Return-Path: header in the mail, if this does not exist it uses the From: address and if this fails, postmaster will be used.

    It is in most cases not useful to set this to the same address as the 'address' option as this may generate multiple bounces. postmaster is recommended.

do_keep = boolean

    If you want to keep your mail on the server after you retrieved it, set this to true. It is recommended that you also set do_uidl, otherwise you will get the mail again each time you connect to the server. Masqmail does not check any headers before it retrieves mail, which may mark it as already fetched. Note that this behaviour is different to that of fetchmail. The default is false.

do_uidl = boolean

    If set, MasqMail keeps a list of unique IDs of mails already fetched, so that they will not be retrieved again. Default is false.

do_uidl_dele = boolean

    If set, and do_uidl is also set, MasqMail sends a delete (DELE) command to the server for each message uid in the uid listing at the beginning of the session. This prevents mail to be left on the server if masqmail gets interrupted during a session before it can send the QUIT command to the server. Default is false.

max_size = numeric

    If set to a value > 0, only messages smaller than this in bytes will be retrieved. The default is 0.

max_count = numeric

    If set to a value > 0, only max_count messages will be retrieved. The default is 0.

wrapper = command

    If set, instead of opening a connection to a remote server, command will be called and all traffic will be piped to its stdin and from its stdout. Purpose is to tunnel ip traffic, eg. for ssl.

    Example for ssl tunneling:

    wrapper="/usr/bin/openssl s_client -quiet -connect pop.gmx.net:995 2>/dev/null"

AUTHOR

masqmail was written by Oliver Kurth <oku@masqmail.cx>

You will find the newest version of masqmail at http://masqmail.cx/masqmail/ or search for it in freshmeat (http://www.freshmeat.net). There is also a mailing list, you will find information about it at masqmails main site.

BUGS

You should report them to the mailing list.

SEE ALSO

masqmail (8), masqmail.route (5), masqmail.conf (5)

COMMENTS

This man page was written using xml2man (1) by the same author.